//Выводит следующие задачи, которые нужно решить
function DisplatingNextTasks(SolvedTaskDatasName,..//Имена данных решенной задачи
                             NextTasksNames..//Имена последующих задач
                             )
    //Проверяем число аргументов
    select argn(2)
    case 0 then
        SolvedTaskDatasName = [];//Имена данных решенной задачи пустые
        NextTasksNames = [];//Имена последующих задач пустые
    case 1 then
        error('The task DisplatingNextTasks takes 0 or 2 arguments');
    end
    
    //выводим сообщение в случае пустых аргументов
    if isempty(SolvedTaskDatasName) || isempty(NextTasksNames) then
        disp('Reseivig datas for solving next tasks: ');
        return;
    end
    
    //Преобразовываем аргументы
    if isempty(SolvedTaskDatasName) then
        SolvedTaskDatasName = "";
    else
        SolvedTaskDatasName = stripblanks(SolvedTaskDatasName);//Удаляем обрамляющие пробелы
    end
    if isempty(NextTasksNames) then
        NextTasksNames = "";
    else
        NextTasksNames = stripblanks(NextTasksNames);//Удаляем обрамляющие пробелы
    end
    
    //Выводим сообщение
    disp('Reseivig datas for solving next tasks: ' + SolvedTaskDatasName + ': ' + strcat(NextTasksNames,','));
endfunction
