//Задаем путь .xml-файлов задач
function ExecuteCurrentTasks(projectName,..//Имя проекта
                             tasksSep..//Разделитель задач
                             )
    //Проверяем и обрабатываем аргументы
    select argn(2) 
    case 0 then
        projectName = "";
        tasksSep = ','; 
    case 1 then
        tasksSep = ','; 
    end
    
    //Считываем текущую задачу
    strAsk = 'Current solving tasks: ';//Строка запроса
    currentTasks = input(strAsk, 's');//Запрашиваем текущие задачи
    while length(currentTasks) > 0
        //Парсим строку запроса задач
        currentTasks = strsplit(currentTasks,tasksSep);
        
        //Выполняем текущие задачи
        ExecuteTasks(currentTasks,projectName);
        
        //Запрашиваем следующие задачи (которые на следующей итерации будут текущими)
        currentTasks = input(strAsk, 's');
    end
endfunction
